Bug 30772 - Terminology: Replace instances of "reserve" with "hold"
Summary: Terminology: Replace instances of "reserve" with "hold"
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Manual
: 28578 (view as bug list)
Depends on:
Blocks:
 
Reported: 2022-05-16 08:51 UTC by Katrin Fischer
Modified: 2022-06-10 14:47 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.01


Attachments
Bug 30772: Terminology: Replace instances of "reserve" with "hold" (8.54 KB, patch)
2022-05-17 12:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30772: Terminology: Replace instances of "reserve" with "hold" (8.58 KB, patch)
2022-05-28 19:00 UTC, David Nind
Details | Diff | Splinter Review
Bug 30772: (follow-up) Age restriction message (1.36 KB, patch)
2022-05-28 19:01 UTC, David Nind
Details | Diff | Splinter Review
Bug 30772: Terminology: Replace instances of "reserve" with "hold" (8.64 KB, patch)
2022-05-30 19:51 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 30772: (follow-up) Age restriction message (1.41 KB, patch)
2022-05-30 19:51 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-05-16 08:51:04 UTC
Reserves should be holds:

koha-tmpl/intranet-tmpl/prog/en/modules/reserve/request.tt:659
No reserves are allowed on this item
Comment 1 Owen Leonard 2022-05-17 12:08:38 UTC
*** Bug 28578 has been marked as a duplicate of this bug. ***
Comment 2 Owen Leonard 2022-05-17 12:15:27 UTC
Created attachment 135066 [details] [review]
Bug 30772: Terminology: Replace instances of "reserve" with "hold"

There were several templates where we were still using the term
"reserve" instead of "hold." This patch corrects the ones I found,
including in a couple of HTML comments.

To test, apply the patch and confirm that the changes look correct and
affect only the relevant term.
Comment 3 David Nind 2022-05-17 18:04:50 UTC
For the last change in the patch "Sorry, you are too young to reserve this material.", I think this should read as "Sorry, you are too young to place a hold for this item." instead of "Sorry, you are too young to hold this material."
Comment 4 David Nind 2022-05-28 19:00:59 UTC
Created attachment 135438 [details] [review]
Bug 30772: Terminology: Replace instances of "reserve" with "hold"

There were several templates where we were still using the term
"reserve" instead of "hold." This patch corrects the ones I found,
including in a couple of HTML comments.

To test, apply the patch and confirm that the changes look correct and
affect only the relevant term.

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 David Nind 2022-05-28 19:01:04 UTC
Created attachment 135439 [details] [review]
Bug 30772: (follow-up) Age restriction message

Improve age restriction message.

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 David Nind 2022-05-28 19:02:58 UTC
I added a follow-up for the age restriction message - hope I have actually improved the message!

For testing, I just reviewed the diff, rather than generating these in the user interfaces.
Comment 7 Victor Grousset/tuxayo 2022-05-30 19:51:45 UTC
Created attachment 135450 [details] [review]
Bug 30772: Terminology: Replace instances of "reserve" with "hold"

There were several templates where we were still using the term
"reserve" instead of "hold." This patch corrects the ones I found,
including in a couple of HTML comments.

To test, apply the patch and confirm that the changes look correct and
affect only the relevant term.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 8 Victor Grousset/tuxayo 2022-05-30 19:51:51 UTC
Created attachment 135451 [details] [review]
Bug 30772: (follow-up) Age restriction message

Improve age restriction message.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 9 Victor Grousset/tuxayo 2022-05-30 19:53:27 UTC
Code looks good, qa script happy, passing QA :)
Comment 10 Tomás Cohen Arazi 2022-06-01 19:02:25 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 11 Lucas Gass 2022-06-10 14:46:02 UTC
Pushed to 22.05.x for 22.05.01